﻿# Red Eclipse
* A free first-person arena shooter; released as free and open source software
* Available for Windows, GNU/Linux, BSD, and macOS
* Features parkour gameplay, such as impulse boosts, dashing, and other tricks
* Favourite gamemodes with an array of mutators and variables
* A built-in editor lets you create your own maps cooperatively online
* Download for free at http://redeclipse.net/

## About
Red Eclipse is a fun-filled new take on the first-person arena shooter, built as a total conversion of Cube Engine 2, which lends itself towards a balanced gameplay, with a general theme of agility in a variety of environments. For more information, visit our [Wiki](http://redeclipse.net/wiki) or [Forums](http://redeclipse.net/forum).

The project is a free and open source game built on the Cube Engine 2 using SDL and OpenGL which allows it to be ported to many platforms; you can [download a package](http://redeclipse.net/download) for Windows, GNU/Linux, BSD, and macOS; or grab a development copy from our [Git repository](http://redeclipse.net/devel) and live on the bleeding edge.


In a true open source by the people for the people nature, we try to work closely with the gaming and open source communities to provide a better overall experience, aiming to create a game environment that is fun and easy to play, while still having elements to master.

If you think you might have something to contribute to the game or community, please feel free to drop by our [IRC chatroom](http://redeclipse.net/chat) or [forums](http://redeclipse.net/forums) and talk to us directly. We try to maintain a standard of friendly behaviour in our community, so don't be afraid to speak up and have your say in building this game for us all! :)

## Get Involved
You're encouraged to help the project by joining in with the rest of the community to make a better project! You can do this by participating in our Community, using the development version and reporting any issues, ideas, suggestions or comments you may have.

We chat via IRC in the channel `#redeclipse` on `irc.freenode.net`, if you don't have an IRC client you can use [our webchat](http://redeclipse.net/chat). You can use this service to talk directly to the Red Eclipse developers, contributors, and supporters, whether you just want to have a chat, report a problem, or make a suggestion, this is the best place to do it.

## Open Source
The project is Free and Open Source, meaning that you can both use it for free and be a part of it by contributing in whatever way you can. These are the people who have helped shape Red Eclipse into what you see today. They are regular people just like you who volunteer their time or donate in the spirit of making a really cool game. Your name could be down here, too!

### Founders
* Quinton "Quin" Reeves - Lead Developer - YouTube channel @ http://youtube.com/qreeves
    - Gameplay and AI Design, Community Management

* Lee "Eihrul" Salzman - Lead Programmer / Advisor - Check out Tesseract @ http://tesseract.gg/
    - Cube 2 Engine and Backports/Support, Speed Improvements

### Contributors, Developers and Supporters
* Adam "lycanfox" Hobson
* Alex "ZeroKnight" George - Design/Testing, Support
* Anup "DOS_WARRIOR" Debnath
* Cameron "Rhubarb" Dawdy
* Christopher "Dratz-_C" Dratz
* Christopher "paroneayea" Webber
* Corey "c0rdawg" Maher
* Dale "graphitemaster" Weiler - Check out Neothyne @ http://neothyne.org/
* Daniel "Imerion" Eriksson
* David "srbs" Forrest
* Derek "Favorito" Ponicki - Maps, Textures, Design/Testing
* Derek "JoJo" Stegall - Maps, Models, Textures, HUD, Sound FX, Design/Testing
* Eddie "skedz4u" Webb
* Henrik "ahven" Pihl
* Jacinta "cinta" Hall - Design/Testing, Support, and making babies.
* Jeff "Architect" Cope - Design/Testing
* Jeroen "appleflap" Boukens - Textures, Design/Testing
* Jonathan "Ulukai" De Nil - Maps, Testing, Support
* Jonathan "W!ck3d" Roels - Maps, Textures, Design/Testing
* Joseph "ballist1c" Calabria - Maps
* Joshua "JDWhyte" Dwight
* Joshua L. "Verbalshadow" Blocher - Some source artwork, Design/Testing
* Kevin "Hirato" Meyer - Development Assistance, Design/Testing
* Kirill "TristamK" Kolesnikov - Maps
* Kurt "Kurtis84" Kessler - Textures
* Ludwig "Sniper-goth" Boscolo
* Luke "syreal" Jones
* Mark "xtort-" Doodeman
* Martin "arand" Werner - Documentation, Legal Drafting, Cross-Dist Support, Open Source Checks, and much more.
* Matt "greaserpirate" Kalt - Maps
* Maxim "acerspyro" Therrien - UI elements, Models, Support
* Mike "mikeplus64" Ledger - Maps, Models, Weapons, Textures, HUD, Design/Testing
* Mikhail "Agustis" Kashin
* Nick "Fatal_Glory" Watts
* Petri Lukkarinen
* Ricky "unixfreak" Thomson - Maps
* Riidom Li - Models
* Rob "Lloir" Shannon
* Robert "Homicidal" Crane
* Robert Winkler
* Ryan "icculus" Gordon / icculus.org - Master server and website hosting
* Rémi "LuckystrikeRx" Clouet d'Orval - Maps, Textures, Models, Weapons, Design/Testing, Website
* Scott Baker
* Sergey "swooboo" Altshuller
* Slawek "VibrantWave" Blauciak - Ambient Sounds
* Stefan Norman and Peter McInerney - Game server and domain name hosting
* Sébastien "sinma" Chauvel
* Taiyo Rawle
* Vadim Peretokin
* Viktor "Unnamed" Hahn - Maps, Models, and other improvements
* Wayne Bennett
* Zachery "freezurbern" Slocum - Skyboxes
* "Gaming Tilt"
* "4rson" - Maps and Support
* "bonifarz"
* "Boognish" - Maps
* "CD Xbow"
* "D.a.M.i.E.n" - Maps and Textures
* "FaTony"
* "fbt"
* "FearFighter"
* "Fleeky" - Models
* "fluxord" - Crosshairs
* "Furor"
* "John_III" - Maps and Models
* "Korsi" - Maps
* "littlebabyjesus"
* "nemurati"
* "Raiden" - Maps
* "RaZgRiZ" - Textures and Cubescript maintenance
* "TheLastProject" - Design, Testing and Support
* "w00p|dazza"
